<?php

class Application
{
  function Start()
  {
    global $Config, $Database;

    $FileName = dirname(__FILE__).'/config.php';
    if(file_exists($FileName)) include_once($FileName);
    else {
      die('Configuration file "'.$FileName.'" not found.');
    }

    session_start();

    $ErrorHandler = new ErrorHandler();
    $ErrorHandler->ShowError = $Config['Web']['ShowError'];
    $ErrorHandler->Start();

    $Database = new Database();
    $Database->Connect($Config['Database']['Host'], $Config['Database']['User'],
      $Config['Database']['Password'], $Config['Database']['Database']);
    $Database->Prefix = $Config['Database']['Prefix'];
    $Database->charset($Config['Database']['Charset']);
    $Database->ShowSQLError = $Config['Web']['ShowSQLError'];
    $Database->ShowSQLQuery = $Config['Web']['ShowSQLQuery'];

    // SQL injection hack protection
    foreach($_POST as $Index => $Item) $_POST[$Index] = addslashes($Item);
    foreach($_GET as $Index => $Item) $_GET[$Index] = addslashes($Item);

  }
}